biterp

Buscar produtos por texto

GET
/products/search
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/products/search"
[
  {
    "id": "string",
    "reference_code": "string",
    "name": "string",
    "description": "string",
    "tags": [
      "string"
    ],
    "type": "goods",
    "sale_price": "99.900000",
    "image_url": "string",
    "is_blocked": true,
    "metadata": {},
    "unit_of_measurement": {
      "id": "string",
      "code": "string",
      "symbol": "string"
    },
    "br_data": {
      "ncm_code": "string",
      "cest_code": "string",
      "origin": "string",
      "extipi": "string",
      "ibs_cbs_cst": "string",
      "ibs_cbs_classification": "string",
      "ibs_cbs_operation_indicator_code": "string",
      "ibs_cbs_is_personal_use": true
    },
    "us_data": {
      "hts_code": "string",
      "schedule_b_code": "string",
      "eccn_code": "string",
      "tax_code": "string",
      "sales_tax_category": "string",
      "country_of_origin": "string",
      "upc_code": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
]
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}